Update a firewall rule

Authentication

AuthorizationBearer

IBEE platform API token. Production tokens start with ibee_prod_key_; development tokens start with ibee_dev_key_. Use a token only with its matching gateway environment.

Path parameters

firewall_group_idstringRequired
Firewall group ID.
firewall_rule_idstringRequired
Firewall rule ID.

Query parameters

workspace_idstringRequiredformat: "^[1-9][0-9]*$">=1 character

The positive numeric workspace ID to scope this request to. Zero, negative, and non-numeric values are rejected.

Request

This endpoint expects an object.
descriptionstring or nullOptional
directionenumOptionalDefaults to ingress
protocolenumOptionalDefaults to tcp
port_startinteger or nullOptional1-65535
port_endinteger or nullOptional1-65535
remote_targetslist of stringsOptional
actionenumOptionalDefaults to allow
priorityinteger or nullOptional
enabledbooleanOptional

Response

Firewall rule updated successfully.
firewall_group_idstring
organization_idstring
workspace_idstring
namestring
is_defaultboolean
statusstring
ruleslist of objects
created_atdatetime
updated_atdatetime
workspace_namestringOptional
descriptionstring or nullOptional
linked_instance_countintegerOptional>=0

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error